#!/bin/bash

root=`realpath $1`
data_dir=`basename $root`"_proc"
mkdir -p $data_dir

## link data into current dir and shuf trva.svm; te.svm may be kept full-label and reserved for online simulation
cd ./$data_dir
for f in 'tr' 'te' 'label'
do
    ln -sf ${root}/$f ./$f.svm
done

python ../pv_proc.py ./ 10 0.5

num_item=`wc -l label.svm | cut -d' ' -f1`
num_context=`wc -l all.svm | cut -d' ' -f1`
echo "(m, n) = "$num_context $num_item
