#!/bin/bash

show_res(){
	for l in 7 4 5 6 0 1 3 'ncg'
	do 
		k=`expr 3 + $2`
		grep '^iter' $1-slot$2/best_params/$l*.log | tail -n1 | cut -d' ' -f$k
	done
}


for i in 'ml1m' 'ml10m';
do
	for j in '1' '10';
	do
		echo $i $j
		./init.sh ./$i-slot$j/
		./save_model.sh $i $j
		./save_model.value.sh $i $j
		./save_model.newton.sh $i $j
		wait
		echo 'Results from top to down: Value-DR, POXM, top-K REINFORCE, BanditNet, RIIPS, Log-RIIPS, Adaptive-RIIPS'
		show_res $i $j
	done
done
wait
