#!/bin/bash

for i in 'ml1m' 'ml10m';
do
	for j in '1' '10';
	do
		echo $i $j
		mkdir -p $i
		cd $i
		ln -sf ../../previous_model/$i/best_params/*.npy ./
		cd ../
		./split_and_filter.sh ../preprocessing/${i}_proc_bandit $j
		mkdir -p ../policy_based_exps_xml/${i}-slot${j}/raw_data
		./prep.sh ${i}_proc_bandit_logged_pos${j}_t1.0_n0.0_r1_a1.0 ../policy_based_exps_xml/${i}-slot${j}/raw_data is
	done
done
wait
echo 'Finish generating data!'
